Package com.collibra.dgc.core.api.dto.instance.complexrelation

# Class ChangeComplexRelationRequest

Object
ChangeComplexRelationRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeComplexRelationRequest extends Object implements Serializable
The properties of the complex relation to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeComplexRelationRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeComplexRelationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeComplexRelationRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Map<UUID,List<AttributeValue>>`
  `getAttributes()`
  Deprecated.
  use `attributesForTypePublicId` instead
  `Map<String,List<AttributeValue>>`
  `getAttributesForTypePublicId()`
  The new attributes that the new complex relation should contain, designated by type public ID.
  `UUID`
  `getId()`
  Required. The ID of the complex relation to be changed.
  `List<ComplexRelationLegRequest>`
  `getLegs()`
  The new list of legs that the changed complex relation should contain.
  `Map<RelationTypeIdWithDirection,List<RelatedAssetId>>`
  `getRelations()`
  The new relations that the new complex relation should contain.
  `int`
  `hashCode()`
  `boolean`
  `isPartialAttributesUpdate()`
  When partialAttributesUpdate is false, all existing attribute values are replaced by the provided ones.
  `void`
  `setAttributes(List<ComplexRelationAttributeRequest> attributeRequests)`
  Deprecated.
  This method will be removed in the future.
  `void`
  `setAttributes(Map<UUID,List<AttributeValue>> attributes)`
  Sets the new attributes that the new complex relation should contain.
  `void`
  `setAttributesForTypePublicId(Map<String,List<AttributeValue>> attributesForTypePublicId)`
  The new attributes that the new complex relation should contain, designated by type public ID.
  `void`
  `setId(UUID id)`
  Required. The ID of the complex relation to be changed.
  `void`
  `setLegs(List<ComplexRelationLegRequest> legs)`
  The new list of legs that the changed complex relation should contain.
  `void`
  `setPartialAttributesUpdate(boolean partialAttributesUpdate)`
  When partialAttributesUpdate is false, all existing attribute values are replaced by the provided ones.
  `void`
  `setRelations(Map<RelationTypeIdWithDirection,List<RelatedAssetId>> relations)`
  The new relations that the new complex relation should contain.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeComplexRelationRequest

    public ChangeComplexRelationRequest()

- ## Method Details

  - ### setAttributes

    public void setAttributes(Map<UUID,List<AttributeValue>> attributes)
    Sets the new attributes that the new complex relation should contain.
    Parameters:
      `attributes` - the new attributes that the new complex relation should contain

  - ### setAttributes

    @Deprecated public void setAttributes(List<ComplexRelationAttributeRequest> attributeRequests)
    Deprecated.
    This method will be removed in the future. Please, use `setAttributes(Map)`.
    Sets the list of attributes that the new complex relation should contain.
    Parameters:
      `attributeRequests` - the attributes that the new complex relation should contain

  - ### builder

    public static ChangeComplexRelationRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the complex relation to be changed.

  - ### getLegs

    public List<ComplexRelationLegRequest> getLegs()
    The new list of legs that the changed complex relation should contain.

  - ### getRelations

    public Map<RelationTypeIdWithDirection,List<RelatedAssetId>> getRelations()
    The new relations that the new complex relation should contain.

  - ### getAttributes

    @Deprecated public Map<UUID,List<AttributeValue>> getAttributes()
    Deprecated.
    use `attributesForTypePublicId` instead
    The new attributes that the new complex relation should contain.

  - ### getAttributesForTypePublicId

    public Map<String,List<AttributeValue>> getAttributesForTypePublicId()
    The new attributes that the new complex relation should contain, designated by type public ID.

  - ### isPartialAttributesUpdate

    public boolean isPartialAttributesUpdate()
    When partialAttributesUpdate is false, all existing attribute values are replaced by the provided ones. If no value is provided for an attribute type, then all corresponding values are removed. When partialAttributesUpdate is true, only the values for the attribute types provided in the request are replaced. If no value is provided for one of them, then the existing values are kept. The default parameter value is false.

  - ### setId

    public void setId(UUID id)
    Required. The ID of the complex relation to be changed.

  - ### setLegs

    public void setLegs(List<ComplexRelationLegRequest> legs)
    The new list of legs that the changed complex relation should contain.

  - ### setRelations

    public void setRelations(Map<RelationTypeIdWithDirection,List<RelatedAssetId>> relations)
    The new relations that the new complex relation should contain.

  - ### setAttributesForTypePublicId

    public void setAttributesForTypePublicId(Map<String,List<AttributeValue>> attributesForTypePublicId)
    The new attributes that the new complex relation should contain, designated by type public ID.

  - ### setPartialAttributesUpdate

    public void setPartialAttributesUpdate(boolean partialAttributesUpdate)
    When partialAttributesUpdate is false, all existing attribute values are replaced by the provided ones. If no value is provided for an attribute type, then all corresponding values are removed. When partialAttributesUpdate is true, only the values for the attribute types provided in the request are replaced. If no value is provided for one of them, then the existing values are kept. The default parameter value is false.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`